Name:    ortp
Version: 5.2.45
Release: 1%{?dist}
Summary: A C library implementing the RTP protocol (RFC3550)
License: AGPL-3.0-or-later

URL: https://gitlab.linphone.org/BC/public/ortp/

Source0: https://gitlab.linphone.org/BC/public/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz


Patch3001: 3001_ortp_set_current_version.patch
Patch3002: 3002_ortp_pkgconfig_add_bctoolbox_requires_and_fix_libdir_location.patch
Patch3003: 3003_ortp_doxygen_remove_obsolete_elements.patch

BuildRequires: cmake >= 3.2
BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libsrtp-devel
BuildRequires: openssl-devel
BuildRequires: bctoolbox-devel


%description
oRTP is a C library that implements RTP (RFC3550).

%package devel
Summary: Development libraries for ortp
Requires: %{name} = %{version}-%{release}
Requires: libsrtp-devel
Requires: libzrtpcpp-devel

%description devel
Libraries and headers required to develop software with ortp.

%prep
%autosetup -p1

%build
%cmake \
  -DCMAKE_SKIP_INSTALL_RPATH=ON \
  -DENABLE_STATIC=OFF \
  -DENABLE_DOC=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/ortp-%{version}

%files
%license LICENSE.txt
%{_bindir}/ortp_tester
%{_libdir}/libortp.so.15*

%files devel
%license LICENSE.txt
%doc AUTHORS.md CHANGELOG.md README.md
%{_includedir}/ortp
%{_libdir}/cmake/ortp/
%{_libdir}/libortp.so
%{_libdir}/pkgconfig/ortp.pc

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.45-1
- initial build
